from unittest import TestCase
from osirisl1services import spatialrotation as spatialrotation
import numpy as np


class TestSpatialRotation(TestCase):
    def test_eci_to_geo(self):
        eci = spatialrotation.ECI(-1122211.53464187, 2871408.28035802, 6250559.77485962)
        expected_ecef = spatialrotation.Vector(-1438775.7196152459, 2726585.5331600225, 6250559.7748596193)
        mjd = 52393.37880836018
        ecef = eci.to_geo(mjd)
        np.testing.assert_allclose(expected_ecef, ecef, atol=1e-5)
